<?php header('Content-Type: text/html; charset=windows-1251'); ?>
<html><head><meta http-equiv="Content-Type" content="text/html; charset=windows-1251">
<title>Модерация форм голосования!</title>
</head>
<?php
if (file_exists(getcwd ( )."/otd/2.txt"))
{
echo '<body leftMargin=0 id=bod topMargin=0  style="overflow:hidden;background:silver;">';
echo '<table id=monoz  border=0 style="width:100%;height:100%;
z-index:3;position:absolute;top:0px;left:0px;">
<tr ><td width=30%>&nbsp;</td><td width=30%  valign=center align=center>
<table border=0 width=400 style="background:white" >
<tr><td><IMG height=60 border=0 src="d~e~f/pas.jpg"></td>
<td  height=30px ><center><b style="color:red" >ВНИМАНИЕ !'.
'</b></center><br>
<ol>
<li>АДМИНИСТРАТОР закрыл сайт для проведения работ по его реорганизации !
<li>Сайт будет доступен после завершения работ!
<li>Для получения сведений обратись к АДМИНИСТРАТОРУ !
<li>Закрой сайт
<li>Открой сайт позже !
</ol>
</td></tr>
</table>
</td><td width=30%>&nbsp;</td></tr></table></body></html>';
die;
}
?>

<body background="d~e~f/bkg.gif">
<?php
include "f.php";   //  вставим функции перекодировки  имен файлов и удаления папки

if (isset($_GET['utf8']))
{$utf8=$_GET['utf8'];}
else
{$utf8="";}

if (isset ($_REQUEST['nam']))
{$nam=$_REQUEST['nam'];}
else
{ $nam=$_GET['nam'];} 





if (isset ($_REQUEST['site']))
{$site=$_REQUEST['site'];}
else
{ $site=$_GET['site'];} 
if  (strpos($site,'/contents/')>0)      // если это   для  внешней страницы
{list($a1,$a2,$a3,$a4,$a5)=explode("/",$site);  // признаки показа сбросим всем
$fol=$a1."/".$a2."/".$a3;}
else
{$fol=str_replace(".htm","",$site);   // имя папки из имени страницы 
}
?>

<form id="form"  method="POST" enctype="multipart/form-data" action="modtv.php
<?php echo '?site='.$site.'&utf8='.$utf8.'&nam='.$nam;?>
">
<table border="0" width=100% height=100%><tbody>
<TR><td valign=top height=100%>
<table border="0" width=100% height=100% ><tbody><TR><td valign=top>

<table border="1" width=100% style="background:#eee8aa"><tbody>
<TR>
<td valign=top>
<THEAD ><tr><th colspan=4>Формы голосования</th>
<th width=20px title="Для удаления результатов голосования установи меня и щелкни 'Выполнить', перед этим необходимо с помощью конструктора удалить форму голосования, и заменить страницу.">x</th>
<th width=10px>&nbsp;</th>
</tr></THEAD></table>



<DIV id=k style="OVERFLOW: scroll; HEIGHT: 90%;background:#fffacd" align=left >

<table border="1" width=100%  height=100%>
<TBODY><tr>

<?php

$os=""; 						  //  В ЭТУ переменную копим сообщения об ошибках
//**************************************************************************
if (isset ($_REQUEST['de']))      // если щелкнул удалить все 
//**************************************************************************
{
// wu(getcwd ( ).'/pages/'.$fol.'/tv/'
if (is_dir(getcwd ( ).'/pages/'.$fol.'/tv/')) 
{
full_del_dir (getcwd ( ).'/pages/'.$fol.'/tv/');
}
}
//**************************************************************************
if (isset ($_REQUEST['hid']))     // если щелкнул ВЫПОЛНИТЬ
//*************************************************************************
{// Просмотрим все переданные данные из формы и выберем только имена  файлов на удаление начало ключа на uu
// на показ - начало ключа  pp
if  (strpos($site,'contents')==0)   //  для внутренней страницы
{
$f=getcwd ( ).'/pages/'.$fol.'/'.str_replace(".htm",".php",$site);  //  грузим  страницу
}
else // для  самостоятельной  страницы
{
$f=getcwd ( ).'/pages/'.str_replace(".php",".htm",$site);  //  грузим  страницу   '/pages/contents/'.$fol.'/'.
}
$fff=file_get_contents ($f);  // строкой
//echo htmlspecialchars($f, ENT_QUOTES);

foreach ($_REQUEST as $i => $z)  //  просмотрим все что отмечено на удаление
  {
  //echo htmlspecialchars($i, ENT_QUOTES)."<br>";
  if (strpos($i,'_htm')>0)  // если  форма /файл / на удаление
  {
$ss= str_replace('_htm',".htm",trim($i));
 $sss= str_replace('.htm',".txt",$ss);
 
 unlink (wu(getcwd ( ).'/pages/'.$fol.'/tv/'.$ss,$utf8)); // удалим  файл
 if (is_file ( getcwd ( ).'/pages/'.$fol.'/tv/'.$sss ))
{
 unlink (wu(getcwd ( ).'/pages/'.$fol.'/tv/'.$sss,$utf8)); // удалим  файл  запретам на повторное голосование
}
}
}  
echo '<b style="color:green">Операция удаления завершена !';
}
//----------------------------------------------------------------------------------------
// покажем содержимое
//----------------------------------------------------------------------------------------
$ipv = wu(getcwd ( ).'/pages/'.$fol.'/tv',$utf8);    //  папка голосования
if  (@opendir($ipv))
{
$s =scandir(wu($ipv,$utf8), 1);	         //  все голосования
//echo $ipv; 
foreach ($s as &$val) 			         
{
if ($val != "." && $val != "..")  // ссылки вверх пропустим
 {if  (strstr($val, '.'))         // ссылку на папку анализируем
  {
if (strpos($val,'.txt')==0)   // пропустим список проголсовавших
{
  $l = file(wu($ipv.'/'.$val,$utf8));   // в массив
// Осуществим проход массива и выведем номера строк и их содержимое
echo '<td disabled>';
foreach ($l as $li => $lin)
 { 
 if (strpos($lin,"FORM>")>0 or strpos($lin,"=submit")>0) 
 {}
 else
 {
 if (strpos($lin,"STYLE>")>0 ) 
 {}
 else
{ 
 if (strpos($lin,'src="')>0)
 {
 if (strpos($site,'contents')>0)
  echo str_replace('src="','src="pages/'.$fol."/",$lin);
 else
{ echo str_replace('src="','src="pages/',$lin);}
 }
 else
 {
  $olin=str_replace('style="visibility:hidden"',' ',$lin);
  $olin=str_replace('style="VISIBILITY: hidden"',' ',$olin);
 echo  $olin;
 
 }
 }
 }
 }
echo '</td><td width=20px>';
echo '<input type="checkbox"   name="'.$val.'">';
echo '</td></tr>';
  
  
//  echo $val."<br>";
  
}}}}}


?>
</tbody></table>
</div></td>
<td valign=center width=300px>

<a  href="help/10.htm#104" target=_blank>&nbsp;Справка&nbsp;</a>

<br><br> 
<center><font size=3><b>МОДЕРАЦИЯ ФОРМ ГОЛОСОВАНИЯ СТРАНИЦЫ</b></font></center>
<center><u target=_blank  title="Для просмотра опубликованной страницы вернись в конструктор и щелкни 'ПОСМОТРЕТЬ' !" href="
<?php 
if  (strpos($site,'/contents/')>0)      // если это   для  внешней страницы
{
echo "pages/".$a1."/".$a2."/".$a3."/".str_replace(".htm",".php",$a5);
//echo "pages/".$site; 
}
else
{
echo "pages/".$fol.'.php'; 
}

?>
" ><b>
<?php  echo rtr($nam); ?> </u></center><br>
<b>
<li>В таблице показываются все формы голосования !<br>
<li>Выбери формы для удаления щелчком в столбце "X"<br>
<li>Для удаления щелкни кнопку<br>
<center><input type="submit" value="Выполнить" name="hid" title="Для удаления всех отмеченных форм щелкни меня"<?php if ($utf8=="" ) {echo "disabled";} ?>></center>
<li>Для удаления всех форм голосования щелкни кнопку<br>
<center><input type="submit" value="Удалить все" name="de"></center> 
<input type="hidden" name="utf8" value="<?php echo $utf8;  ?>">
<input type="hidden" name="site" value="<?php echo $site;  ?>">
<input type="hidden" name="nam" value="<?php echo $nam;  ?>">
</form>
</b>
</td>
</tr></tbody></table></body>
<script language="VBS">
function a(y)
end function
</script>
</html>